# Generated by Django 4.0.4 on 2022-07-11 18:51

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0066_collection_management_permissions"),
        ("district", "0091_alter_districthomepage_subheader_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="DistrictInteractiveProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField(blank=True, verbose_name="Perex")),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "interactive_program_block",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(
                                                label="Název části programu",
                                                required=True,
                                            ),
                                        ),
                                        (
                                            "heading",
                                            wagtail.blocks.CharBlock(
                                                label="Nadpis", required=True
                                            ),
                                        ),
                                        (
                                            "description",
                                            wagtail.blocks.RichTextBlock(
                                                blank=True,
                                                label="Krátký popis, BEZ BODŮ",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "icon",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    (
                                                        "verejne-sluzby",
                                                        "Veřejné služby",
                                                    ),
                                                    (
                                                        "zdravotni-pece",
                                                        "Zdravotní péče",
                                                    ),
                                                    ("sport", "Sport"),
                                                    (
                                                        "socialni-politika",
                                                        "Sociální politika",
                                                    ),
                                                    (
                                                        "aktivni-verejnost",
                                                        "Aktivní veřejnost",
                                                    ),
                                                    ("priroda", "Příroda"),
                                                    ("vzdelavani", "Vzdělávání"),
                                                    ("kultura", "Kultura"),
                                                    (
                                                        "otevrena-radnice",
                                                        "Otevřená radnice",
                                                    ),
                                                    ("cestovni-ruch", "Cestovní ruch"),
                                                    ("doprava", "Doprava"),
                                                    ("bydleni", "Bydlení"),
                                                ],
                                                label="Ikona",
                                            ),
                                        ),
                                        (
                                            "program_items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "content",
                                                            wagtail.blocks.RichTextBlock(
                                                                label="Obsah",
                                                                required=True,
                                                            ),
                                                        )
                                                    ]
                                                ),
                                                label="Seznam bodů",
                                                required=True,
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        verbose_name="Části programu",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Interaktivní program",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
