# Generated by Django 5.0.4 on 2024-05-09 10:27

from django.db import migrations

from district.blocks import ElectionsCountdownBlock


def add_elections_countdown_block(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if home_page.election_countdown_datetime:
            home_page.content.append(
                (
                    "elections_block",
                    ElectionsCountdownBlock().to_python(
                        {
                            "title": "Volby",
                            "text_before_countdown": "Aktuálně zbývá",
                            "countdown_timestamp": home_page.election_countdown_datetime,
                        }
                    ),
                )
            )

            home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0137_alter_districthomepage_content"),
    ]

    operations = [migrations.RunPython(add_elections_countdown_block)]
